# $Revision: 1.40 $, $Date: 2008/09/08 16:09:33 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
%bcond_with	pthread	# build pthread library (POSIX.1c threading API of GNU Pth)
#
Summary:	The GNU portable threads
Summary(pl.UTF-8):	Przenośne wątki GNU
Name:		pth
Version:	2.0.7
Release:	5
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/pth/%{name}-%{version}.tar.gz
# Source0-md5:	9cb4a25331a4c4db866a31cbe507c793
Patch0:		%{name}-nolibs.patch
URL:		http://www.gnu.org/software/pth/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# -fno-strict-aliasing" because mainly pth_mctx.c contains important
# and correct pointer casting constructs which are not acceptable
# in "strict aliasing" for GCC.
%define		specflags	-fno-strict-aliasing

%description
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution (aka `multithreading') inside event-driven
applications. All threads run in the same address space of the server
application, but each thread has its own individual program-counter,
run-time stack, signal mask and errno variable.

%description -l pl.UTF-8
pth jest bardzo przenośną biblioteką bazującą na POSIX/ANSI-C dla
platform uniksowych, bazujące na priorytetach dzielenie czasu bez
wywłaszczenia dla wielu wątków (czyli wielowątkowość) wewnątrz
aplikacji sterowanych zdarzeniami. Wszystkie wątki działają w tej
samej przestrzeni adresowej aplikacji serwera, ale każdy ma swój
własny licznik instrukcji, stos, maski sygnałów i zmienną errno.

%package devel
Summary:	Header files and development documentation for pth
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do pth
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files and development documentation for pth.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do pth.

%package static
Summary:	Static version of the GNU portable threads library
Summary(pl.UTF-8):	Statyczna wersja biblioteki pth
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static version of the GNU portable threads library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki przenośnych wątków GNU.

%prep
%setup -q
%patch0 -p1
# no aclocal call: aclocal.m4 contains only local macros, libtool.m4 is included from configure.in
cp -f /usr/share/automake/config.* /usr/share/aclocal/libtool.m4 .
mv aclocal.m4 local.m4

%build
%{__libtoolize}
%{__aclocal} -I.
%{__autoheader}
%{__autoconf}
%configure \
	%{?with_pthread:--enable-pthread} \
	--enable-optimize

%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains not only LGPL text
%doc ANNOUNCE AUTHORS COPYING ChangeLog HISTORY NEWS README SUPPORT TESTS THANKS USERS
%attr(755,root,root) %{_libdir}/libpth.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpth.so.20

%files devel
%defattr(644,root,root,755)
%doc HACKING
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libpth.so
%{_libdir}/lib*.la
%{_aclocaldir}/pth.m4
%{_includedir}/*.h
%{_mandir}/man3/*
%{_mandir}/man1/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pth.spec,v $
Revision 1.40  2008/09/08 16:09:33  patrys
- builds on th
- rel 5

Revision 1.39  2008/07/27 23:05:01  arekm
- release 4

Revision 1.38  2008-04-08 08:24:53  glen
- unify ftp.gnu.org urls

Revision 1.37  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.36  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.34  2006/11/30 21:53:48  arekm
- rel 3

Revision 1.33  2006/10/20 11:02:19  qboosh
- no aclocal call

Revision 1.32  2006/10/11 10:27:12  qboosh
- added nolibs patch (kill unnecessary libs from `pth-config --libs --all`)
- release 2

Revision 1.31  2006/06/26 10:46:16  qboosh
- updated to 2.0.7

Revision 1.30  2005/11/27 21:23:50  qboosh
- updated to 2.0.6

Revision 1.29  2005/10/07 14:27:00  qboosh
- updated to 2.0.5

Revision 1.28  2005/02/20 21:40:37  qboosh
- updated to 2.0.4, removed obsolete am18 patch

Revision 1.27  2004/12/04 16:03:37  qboosh
- updated to 2.0.3
- note: pth_uctx_{save,restore} functions were broken by design and have been
  removed from API (they never worked properly anyway)

Revision 1.26  2004/10/31 21:05:47  paladine
- spaces->tabs
- formatting

Revision 1.25  2004/10/26 21:38:28  qboosh
- updated to 2.0.2, removed m4_fix patch (alternative workaround in sources)

Revision 1.24  2004/10/24 20:44:20  paladine
- spelling fixes, uppercases, etc.

Revision 1.23  2004/09/04 12:19:26  arekm
- fix/workaround parallel build/installation

Revision 1.22  2004/09/04 11:38:53  arekm
- rel 2

Revision 1.21  2004/08/13 06:29:56  qboosh
- disable pthread by default (conflicts with linuxthreads libpthread too)
- strict internal deps, moved base docs to base

Revision 1.20  2004/08/12 11:07:34  pluto
- updated to 2.0.1
  # fix handling/casting of "int (*)(void *)" callback functions.
  # use gcc 3.3 option "-fno-strict-aliasing" (if available) under
    autoconf option "--enable-debug" because mainly pth_mctx.c
    contains important and correct pointer casting constructs which
    are not acceptable in "strict aliasing" for gcc.
- pthread library enabled in linuxthreads environment.
- optimizations enabled.
- url added.
- release 1.

Revision 1.19  2004/04/14 21:25:04  pluto
- bcond_without tests added.

Revision 1.18  2003/12/18 19:47:04  qboosh
- added am18 patch (pth.m4 quotation fix); release 2

Revision 1.17  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.16  2003/05/28 13:01:25  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:25:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/02/17 20:17:14  wiget
- updated to 2.0.0

Revision 1.13  2003/01/19 22:20:42  qboosh
- updated to 1.4.1, made athlon-ready

Revision 1.12  2002/11/25 14:17:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.11  2002/08/11 20:19:46  mmazur
- fixed m4 macros
- rel2; STBR
- use new %%doc

Revision 1.10  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/11 21:05:35  kloczek
- Epoch: 1.

Revision 1.7  2002/02/11 20:28:32  serek
- reverted to 1.4.0 - 1.4.1 does not work properly.

Revision 1.6  2002/01/28 02:08:12  kloczek
- updated to 1.4.1 (minor changes and fixes).

Revision 1.5  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2002/01/14 00:13:08  kloczek
- added missing aclocal macros to %files in devel.

Revision 1.3  2001/12/20 09:48:37  qboosh
- remaining pl translations

Revision 1.2  2001/12/19 18:26:00  jajcus
- License is LGPL not GPL

Revision 1.1  2001/12/19 18:05:40  jajcus
- initial spec
